Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
domain_analytics
/
technologies
/
domains_by_html_terms
/
live
Domains by HTML Terms
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/domain_analytics/technologies/domains_by_html_terms/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "search_terms": [
    "<string>"
  ],
  "keywords": [
    "<string>"
  ],
  "mode": "<string>",
  "filters": [
    "<string>"
  ],
  "order_by": [
    "<string>"
  ],
  "limit": 123,
  "offset": 123,
  "offset_token": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.offset": 123,
  "tasks.result.offset_token": "<string>",
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.type": "<string>",
  "tasks.result.domain": "<string>",
  "tasks.result.title": "<string>",
  "tasks.result.description": "<string>",
  "tasks.result.meta_keywords": [
    "<string>"
  ],
  "tasks.result.domain_rank": "<string>",
  "tasks.result.last_visited": "<string>",
  "tasks.result.country_iso_code": "<string>",
  "tasks.result.language_code": "<string>",
  "tasks.result.content_language_code": "<string>",
  "tasks.result.phone_numbers": [
    "<string>"
  ],
  "tasks.result.emails": [
    "<string>"
  ],
  "tasks.result.social_graph_urls": [
    "<string>"
  ],
  "tasks.result.technologies": {}
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
search_terms
string[]
required

target search terms required field specify target HTML elements, tags, attributes, their content or all of the above if you specify more than one search term, you will receive only the domains containing all of the specified terms in the HTML code of their homepage maximum number of search terms you can specify: 10 example: ["data-attrid"]

keywords
string[]

target keywords in the domain’s title, description or meta keywords optional field UTF-8 encoding maximum number of keywords you can specify: 10 example: ["seo","software"] learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

mode
string

search mode optional field possible search mode types: strict_entry – search for results exactly matching the order, intervals and separators in the specified search terms entry – search for results ignoring the order, intervals and separators in the specified search terms default value: entry

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: , , >, >=, =, , in, not_in, like, not_like you can use the % operator with like and not_like to match any string of zero or more characters example: ["domain","like","%seo%"] [["country_iso_code","=","US"], "and", ["domain_rank",">",100]] [["domain_rank",">",100], "and", [["country_iso_code","=","US"],"or",["country_iso_code","=","CA"]]] for more information about filters, please refer to Domain Analytics Technologies API – Filters

order_by
string[]

results sorting rules optional field available fields: domain_rank, domain, last_visited, country_iso_code, language_code, content_language_code possible sorting types: asc – results will be sorted in the ascending order desc – results will be sorted in the descending order you should use a comma to set up a sorting type example: ["last_visited,desc"] default rule: ["domain_rank,desc"] note that you can set no more than three sorting rules in a single request you should use a comma to separate several sorting rules example: ["last_visited,desc","domain_rank,desc"]

limit
integer

the maximum number of returned domains optional field default value: 100 maximum value: 10000

offset
integer

offset in the results array of returned domains optional field default value: 0 if you specify the 10 value, the first ten domains in the results array will be omitted and the data will be provided for the successive domains; Note: the maximum value is 9999, the sum of limit and offset must not exceed 10000; use the offset_token if you would like to offset more results

offset_token
string

token for subsequent requests optional field provided in the identical filed of the response to each request; use this parameter to avoid timeouts while trying to obtain over 100,000 results in a single request; by specifying the unique offset_token value from the response array, you will get the subsequent results of the initial task; offset_token values are unique for each subsequent task Note: if the offset_token is specified in the request, all other parameters should be identical to the previous request learn more about this parameter on our Help Center

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.total_count
integer

total number of relevant items in the database

tasks.result.items_count
integer

number of items in the results array

tasks.result.offset
integer

specified offset value

tasks.result.offset_token
string

token for subsequent requests by specifying the unique offset_token when setting a new task, you will get the subsequent results of the initial task; offset_token values are unique for each subsequent task

tasks.result.items
string[]

items array

tasks.result.type
string

type of the item = ‘domain_technology_item’

tasks.result.domain
string

specified domain name

tasks.result.title
string

domain meta title

tasks.result.description
string

domain meta description

tasks.result.meta_keywords
string[]

domain meta keywords

tasks.result.domain_rank
string

backlink rank of the target domain learn more about the metric and how it is calculated in this help center article

tasks.result.last_visited
string

most recent date when our crawler visited the domain in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2022-10-10 12:57:46 +00:00

tasks.result.country_iso_code
string

domain ISO code ISO code of the country that target domain is determined to belong to

tasks.result.language_code
string

domain language code of the language that target domain is determined to be associated with

tasks.result.content_language_code
string

content language code of the language that content on the target domain is written with

tasks.result.phone_numbers
string[]

phone numbers of the target contact phone numbers indicated on the target website

tasks.result.emails
string[]

emails of the target emails indicated on the target website

tasks.result.social_graph_urls
string[]

social media links and handles social media URLs detected in the social graphs of the target website

tasks.result.technologies
object

technologies used by target domain contains objects with the names of technologies used on the website; to get a full list of technologies and their structure, refer to the technologies endpoint